import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { ChildFilter, CompositeFilter, Expander, FetchOptions, Filter, ODataQuery, ODataResult } from '../models';
import * as i0 from "@angular/core";
export declare class ODataClientService {
    private readonly httpClient;
    constructor(httpClient: HttpClient);
    fetch<T extends object>(odataEndpoint: string, query: ODataQuery, options?: FetchOptions): Observable<ODataResult<T>>;
    getODataString(query: ODataQuery, options?: FetchOptions): string;
    processExpanders(query: ODataQuery, queryString: string): string;
    getExpansionString(element: Expander): string;
    processOrderBy(query: ODataQuery, queryString: string): string;
    processFilters(query: ODataQuery, _options: FetchOptions, queryString: string): string;
    serializeCompositeFilter(filter: CompositeFilter): string;
    serializeFilter(filter: Filter | ChildFilter): string;
    processSimpleParameters(parameterName: 'skip' | 'top', query: ODataQuery, queryString: string): string;
    processCacheBusting(options: FetchOptions, queryString: string): string;
    processCount(query: ODataQuery, queryString: string): string;
    processDates(queryString: string): string;
    processGuids(queryString: string): string;
    processSelectors(state: ODataQuery, queryString: string): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<ODataClientService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ODataClientService>;
}
